Page MenuHomePhabricator

Sister project (Commons images) not displaying on ptwiki search results page
Closed, ResolvedPublic

Description

Steps to reproduce:

Go to pt:wikipedia

Expected:

In the sidebar for interwiki searches some images of milk from commons, e.g. commons:Special:search/~milk

Actual:

Sidebar with interwiki results but no images from commons.

Summary:
Currently, Commons images should only be disabled on enwiki search results pages...but it looks like something got broken on most wikis, as the Commons images are not showing on wikis other than en.

Reference: https://www.mediawiki.org/wiki/Topic:V6dtxvwtk9nchcbx

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterRestore support for CirrusSearchCrossProjectShowMultimedia

Event Timeline

debt triaged this task as High priority.Sep 4 2019, 6:58 PM
debt created this task.
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptSep 4 2019, 6:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt updated the task description. (Show Details)Sep 4 2019, 7:00 PM

Change 535160 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Restore support for CirrusSearchCrossProjectShowMultimedia

https://gerrit.wikimedia.org/r/535160

dcausse claimed this task.Sep 9 2019, 12:02 PM
dcausse moved this task from In Progress to Needs review on the Discovery-Search (Current work) board.

Change 535160 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Restore support for CirrusSearchCrossProjectShowMultimedia

https://gerrit.wikimedia.org/r/535160

debt closed this task as Resolved.Sep 20 2019, 4:32 PM